Summary: Signing/verifying utility for PCSC Lite and MUSCLE Card Framework.
Name: sign-mcard
Version: 0.1.4
Release: 2
URL: http://smartsign.sourceforge.net
Source0: %{name}-%{version}.tgz
License: Open Source like
Group: Applications/Security
Vendor: Scuola Superiore Sant'Anna, Pisa (Italy)
Packager: Scuola Superiore Sant'Anna, Pisa (Italy)
BuildRoot: %{_builddir}/%{name}-root

%description

This package provides a couple of command line utilities, `sign_mcard'
and `verify_mcard', that allow you to calculate a PKCS-7 digital
signature of a generic file using the key and public key certificate
stored on your smart card, and verify it against the original file.
Actually the verify utility does not need any smartcard.

An additional utility, `loadkey_mcard', is provided in order to easily
transfer an already generated, binary DER encoded, private key from
your host machine to the smartcard.

%prep

%setup -q
./configure

%build

make

%install

rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/local/ssl/lib
mkdir -p $RPM_BUILD_ROOT/usr/local/bin
cp /usr/local/ssl/lib/libcrypto.so.0.9.6 $RPM_BUILD_ROOT/usr/local/ssl/lib
make DESTDIR=$RPM_BUILD_ROOT install

%clean

rm -rf $RPM_BUILD_ROOT

%files

%defattr(-,root,root)
/usr/local/bin/sign_mcard
/usr/local/bin/verify_mcard
/usr/local/bin/loadkey_mcard
/usr/local/ssl/lib/libcrypto.so.0.9.6
%doc README README_VERIFY AUTHORS LICENSE

%changelog

* Sun Jun  9 2002 Tommaso Cucinotta <tommaso@localhost.localdomain>
- Initial build.
